diff --git a/src/packages/fff/fff-web/Makefile b/src/packages/fff/fff-web-ui/Makefile
similarity index 89%
rename from src/packages/fff/fff-web/Makefile
rename to src/packages/fff/fff-web-ui/Makefile
index 36f3ec96..3d2e4414 100644
--- a/src/packages/fff/fff-web/Makefile
+++ b/src/packages/fff/fff-web-ui/Makefile
@@ -1,8 +1,8 @@
 include $(TOPDIR)/rules.mk
 
-PKG_NAME:=fff-web
+PKG_NAME:=fff-web-ui
 PKG_VERSION:=8
-PKG_RELEASE:=3
+PKG_RELEASE:=4
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
@@ -19,7 +19,7 @@ define Package/$(PKG_NAME)
 endef
 
 define Package/$(PKG_NAME)/description
-	This is the Webinterface for the Freifunk Franken Firmware
+	This is the web-based user interface for the Freifunk Franken Firmware
 endef
 
 define Build/Prepare
diff --git a/src/packages/fff/fff-web/files/etc/httpd.conf b/src/packages/fff/fff-web-ui/files/etc/httpd.conf
similarity index 100%
rename from src/packages/fff/fff-web/files/etc/httpd.conf
rename to src/packages/fff/fff-web-ui/files/etc/httpd.conf
diff --git a/src/packages/fff/fff-web/files/etc/uci-defaults/06-fff-reset-update-notification b/src/packages/fff/fff-web-ui/files/etc/uci-defaults/06-fff-reset-update-notification
similarity index 100%
rename from src/packages/fff/fff-web/files/etc/uci-defaults/06-fff-reset-update-notification
rename to src/packages/fff/fff-web-ui/files/etc/uci-defaults/06-fff-reset-update-notification
diff --git a/src/packages/fff/fff-web/files/etc/uci-defaults/94-fff-web-ui b/src/packages/fff/fff-web-ui/files/etc/uci-defaults/94-fff-web-ui
similarity index 100%
rename from src/packages/fff/fff-web/files/etc/uci-defaults/94-fff-web-ui
rename to src/packages/fff/fff-web-ui/files/etc/uci-defaults/94-fff-web-ui
diff --git a/src/packages/fff/fff-web/files/usr/sbin/disable_update_notification.sh b/src/packages/fff/fff-web-ui/files/usr/sbin/disable_update_notification.sh
similarity index 100%
rename from src/packages/fff/fff-web/files/usr/sbin/disable_update_notification.sh
rename to src/packages/fff/fff-web-ui/files/usr/sbin/disable_update_notification.sh
diff --git a/src/packages/fff/fff-web/files/www/public/cgi-bin/status.html b/src/packages/fff/fff-web-ui/files/www/public/cgi-bin/status.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/public/cgi-bin/status.html
rename to src/packages/fff/fff-web-ui/files/www/public/cgi-bin/status.html
diff --git a/src/packages/fff/fff-web/files/www/public/freifunk.svg b/src/packages/fff/fff-web-ui/files/www/public/freifunk.svg
similarity index 100%
rename from src/packages/fff/fff-web/files/www/public/freifunk.svg
rename to src/packages/fff/fff-web-ui/files/www/public/freifunk.svg
diff --git a/src/packages/fff/fff-web/files/www/public/index.html b/src/packages/fff/fff-web-ui/files/www/public/index.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/public/index.html
rename to src/packages/fff/fff-web-ui/files/www/public/index.html
diff --git a/src/packages/fff/fff-web/files/www/public/style.css b/src/packages/fff/fff-web-ui/files/www/public/style.css
similarity index 100%
rename from src/packages/fff/fff-web/files/www/public/style.css
rename to src/packages/fff/fff-web-ui/files/www/public/style.css
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/footer b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/footer
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/footer
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/footer
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/header b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/header
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/header
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/header
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/helpers b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/helpers
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/helpers
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/helpers
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/home.html b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/home.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/home.html
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/home.html
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/leaflet.css b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/leaflet.css
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/leaflet.css
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/leaflet.css
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/leaflet.js b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/leaflet.js
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/leaflet.js
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/leaflet.js
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/logout.html b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/logout.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/logout.html
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/logout.html
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/password.html b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/password.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/password.html
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/password.html
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/ports.html b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/ports.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/ports.html
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/ports.html
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/reboot.html b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/reboot.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/reboot.html
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/reboot.html
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/settings.html b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/settings.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/settings.html
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/settings.html
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/upgrade.html b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/upgrade.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/upgrade.html
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/upgrade.html
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/wifiscan.html b/src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/wifiscan.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/cgi-bin/wifiscan.html
rename to src/packages/fff/fff-web-ui/files/www/ssl/cgi-bin/wifiscan.html
diff --git a/src/packages/fff/fff-web/files/www/ssl/freifunk.svg b/src/packages/fff/fff-web-ui/files/www/ssl/freifunk.svg
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/freifunk.svg
rename to src/packages/fff/fff-web-ui/files/www/ssl/freifunk.svg
diff --git a/src/packages/fff/fff-web/files/www/ssl/index.html b/src/packages/fff/fff-web-ui/files/www/ssl/index.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/index.html
rename to src/packages/fff/fff-web-ui/files/www/ssl/index.html
diff --git a/src/packages/fff/fff-web/files/www/ssl/leaflet.css.gz b/src/packages/fff/fff-web-ui/files/www/ssl/leaflet.css.gz
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/leaflet.css.gz
rename to src/packages/fff/fff-web-ui/files/www/ssl/leaflet.css.gz
diff --git a/src/packages/fff/fff-web/files/www/ssl/leaflet.js.gz b/src/packages/fff/fff-web-ui/files/www/ssl/leaflet.js.gz
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/leaflet.js.gz
rename to src/packages/fff/fff-web-ui/files/www/ssl/leaflet.js.gz
diff --git a/src/packages/fff/fff-web/files/www/ssl/map.html b/src/packages/fff/fff-web-ui/files/www/ssl/map.html
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/map.html
rename to src/packages/fff/fff-web-ui/files/www/ssl/map.html
diff --git a/src/packages/fff/fff-web/files/www/ssl/port_down.png b/src/packages/fff/fff-web-ui/files/www/ssl/port_down.png
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/port_down.png
rename to src/packages/fff/fff-web-ui/files/www/ssl/port_down.png
diff --git a/src/packages/fff/fff-web/files/www/ssl/port_up.png b/src/packages/fff/fff-web-ui/files/www/ssl/port_up.png
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/port_up.png
rename to src/packages/fff/fff-web-ui/files/www/ssl/port_up.png
diff --git a/src/packages/fff/fff-web/files/www/ssl/style.css b/src/packages/fff/fff-web-ui/files/www/ssl/style.css
similarity index 100%
rename from src/packages/fff/fff-web/files/www/ssl/style.css
rename to src/packages/fff/fff-web-ui/files/www/ssl/style.css
diff --git a/src/packages/fff/fff/Makefile b/src/packages/fff/fff/Makefile
index 62420b7d..733f0f3f 100644
--- a/src/packages/fff/fff/Makefile
+++ b/src/packages/fff/fff/Makefile
@@ -26,7 +26,7 @@ define Package/fff/base
 			 +fff-support \
 			 +fff-sysupgrade \
 			 +fff-timeserver \
-			 +fff-web \
+			 +fff-web-ui \
 			 +fff-wireless \
 			 +simple-tc
 endef
